# Uses of Enum Class
org.apache.sysds.hops.codegen.cplan.CNodeUnary.UnaryType

Packages that use CNodeUnary.UnaryType
Package
Description
org.apache.sysds.hops.codegen.cplan
org.apache.sysds.hops.codegen.cplan.cuda
org.apache.sysds.hops.codegen.cplan.java
org.apache.sysds.hops.codegen.template

## Uses of CNodeUnary.UnaryType in org.apache.sysds.hops.codegen.cplan

Methods in org.apache.sysds.hops.codegen.cplan that return CNodeUnary.UnaryType
Modifier and Type
Method
Description
`CNodeUnary.UnaryType`
CNodeUnary.`getType()`
`CNodeUnary.UnaryType`
CNodeUnary.UnaryType.`getVectorAddPrimitive()`
`static CNodeUnary.UnaryType`
CNodeUnary.UnaryType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CNodeUnary.UnaryType[]`
CNodeUnary.UnaryType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.hops.codegen.cplan with parameters of type CNodeUnary.UnaryType
Modifier and Type
Method
Description
`String`
CodeTemplate.`getTemplate(CNodeUnary.UnaryType type, boolean sparse)`
`String`
CodeTemplate.`getTemplate(CNodeUnary.UnaryType type, boolean sparse, boolean sparseTemplate)`
`void`
CNodeUnary.`setType(CNodeUnary.UnaryType type)`
Constructors in org.apache.sysds.hops.codegen.cplan with parameters of type CNodeUnary.UnaryType
Modifier
Constructor
Description
``
`CNodeUnary(CNode in1, CNodeUnary.UnaryType type)`
``
`CNodeUnary(CNode in1, CNodeUnary.UnaryType type, double sparsity)`

## Uses of CNodeUnary.UnaryType in org.apache.sysds.hops.codegen.cplan.cuda

Methods in org.apache.sysds.hops.codegen.cplan.cuda with parameters of type CNodeUnary.UnaryType
Modifier and Type
Method
Description
`String`
Unary.`getTemplate(CNodeUnary.UnaryType type, boolean sparse)`

## Uses of CNodeUnary.UnaryType in org.apache.sysds.hops.codegen.cplan.java

Methods in org.apache.sysds.hops.codegen.cplan.java with parameters of type CNodeUnary.UnaryType
Modifier and Type
Method
Description
`String`
Unary.`getTemplate(CNodeUnary.UnaryType type, boolean sparse, boolean sparseTemplate)`

## Uses of CNodeUnary.UnaryType in org.apache.sysds.hops.codegen.template

Methods in org.apache.sysds.hops.codegen.template with parameters of type CNodeUnary.UnaryType
Modifier and Type
Method
Description
`static boolean`
TemplateUtils.`isUnary(CNode node, CNodeUnary.UnaryType... types)`